package com.mortals.xhx.module.check.model;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.check.model.vo.CheckComplainRecordVo;
import lombok.Data;
/**
* 评价绩效投诉核查信息实体对象
*
* @author zxfei
* @date 2023-05-18
*/
@Data
public class CheckComplainRecordEntity extends CheckComplainRecordVo {
    private static final long serialVersionUID = 1L;

    /**
    * 记录ID
    */
    private Long recordId;
    /**
    * 员工ID
    */
    private Long staffId;
    /**
    * 员工姓名
    */
    private String staffName;
    /**
    * 工号
    */
    private String workNum;
    /**
    * 窗口编号
    */
    private String windowNum;
    /**
    * 所属部门
    */
    private Long deptId;
    /**
    * 所属部门名称
    */
    private String deptName;
    /**
    * 投诉标题
    */
    private String complainTitle;
    /**
    * 投诉内容
    */
    private String complainContent;
    /**
    * 投诉人真实姓名
    */
    private String complainRealName;
    /**
    * 联系电话
    */
    private String contact;
    /**
    * 投诉时间
    */
    private Date complainTime;
    /**
    * 投诉来源
    */
    private String complainSource;
    /**
    * 投诉设备
    */
    private String complainDevice;
    /**
    * 绩效规则id
    */
    private Long ruleId;
    /**
    * 规则名称
    */
    private String ruleName;
    /**
    * 扣分方式(1.系统自动,2.人工添加)
    */
    private Integer subMethod;
    /**
    * 扣分人员
    */
    private String deductPerson;
    /**
    * 扣分时间
    */
    private Date deductTime;
    /**
    * 扣分或增加分值
    */
    private BigDecimal score;
    /**
    * 核查人员
    */
    private String checkPerson;
    /**
    * 核查时间
    */
    private Date checkTime;
    /**
    * 核查说明
    */
    private String checkDesc;
    /**
    * 核查结果
    */
    private String checkResult;
    /**
    * 处理状态(1.未处理,2.已处理)
    */
    private Integer checkStatus;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CheckComplainRecordEntity) {
            CheckComplainRecordEntity tmp = (CheckComplainRecordEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.recordId = -1L;

            this.staffId = -1L;

            this.staffName = "";

            this.workNum = "";

            this.windowNum = "";

            this.deptId = -1L;

            this.deptName = "";

            this.complainTitle = "";

            this.complainContent = "";

            this.complainRealName = "";

            this.contact = "";

            this.complainTime = null;

            this.complainSource = "";

            this.complainDevice = "";

            this.ruleId = -1L;

            this.ruleName = "";

            this.subMethod = 1;

            this.deductPerson = "";

            this.deductTime = null;

            this.score = BigDecimal.valueOf(0.00);

            this.checkPerson = "";

            this.checkTime = null;

            this.checkDesc = "";

            this.checkResult = "";

            this.checkStatus = 1;

            this.remark = "";
    }
}