package com.mortals.xhx.module.check.model;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.check.model.vo.CheckOtherRecordVo;
import lombok.Data;
/**
* 其它绩效核查信息实体对象
*
* @author zxfei
* @date 2023-05-18
*/
@Data
public class CheckOtherRecordEntity extends CheckOtherRecordVo {
    private static final long serialVersionUID = 1L;

    /**
    * 记录ID
    */
    private Long recordId;
    /**
    * 员工ID
    */
    private Long staffId;
    /**
    * 员工姓名
    */
    private String staffName;
    /**
    * 工号
    */
    private String workNum;
    /**
    * 所属部门
    */
    private Long deptId;
    /**
    * 所属部门名称
    */
    private String deptName;
    /**
    * 窗口编号
    */
    private String windowNum;
    /**
    * 违规类型(1.工作纪律)
    */
    private Integer irregularOtherType;
    /**
    * 发生时间
    */
    private Date happenTime;
    /**
    * 持续时间，秒
    */
    private Integer duration;
    /**
    * 绩效规则id
    */
    private Long ruleId;
    /**
    * 规则名称
    */
    private String ruleName;
    /**
    * 评分标准
    */
    private String ruleDesc;
    /**
    * 扣分方式(1.系统自动,2.人工添加)
    */
    private Integer subMethod;
    /**
    * 扣分人员
    */
    private String deductPerson;
    /**
    * 扣分时间
    */
    private Date deductTime;
    /**
    * 扣分或增加分值
    */
    private BigDecimal score;
    /**
    * 核查人员
    */
    private String checkPerson;
    /**
    * 核查时间
    */
    private Date checkTime;
    /**
    * 核查说明
    */
    private String checkDesc;
    /**
    * 核查结果
    */
    private String checkResult;
    /**
    * 处理状态(1.未处理,2.已处理)
    */
    private Integer checkStatus;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CheckOtherRecordEntity) {
            CheckOtherRecordEntity tmp = (CheckOtherRecordEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.recordId = -1L;

            this.staffId = -1L;

            this.staffName = "";

            this.workNum = "";

            this.deptId = -1L;

            this.deptName = "";

            this.windowNum = "";

            this.irregularOtherType = -1;

            this.happenTime = null;

            this.duration = 0;

            this.ruleId = -1L;

            this.ruleName = "";

            this.ruleDesc = "";

            this.subMethod = 1;

            this.deductPerson = "";

            this.deductTime = null;

            this.score = BigDecimal.valueOf(0.00);

            this.checkPerson = "";

            this.checkTime = null;

            this.checkDesc = "";

            this.checkResult = "";

            this.checkStatus = 1;

            this.remark = "";
    }
}