package com.mortals.xhx.module.check.model;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.check.model.vo.CheckReviewRecordVo;
import lombok.Data;
/**
* 评价差评绩效核查信息实体对象
*
* @author zxfei
* @date 2023-05-18
*/
@Data
public class CheckReviewRecordEntity extends CheckReviewRecordVo {
    private static final long serialVersionUID = 1L;

    /**
    * 记录ID
    */
    private Long recordId;
    /**
    * 员工ID
    */
    private Long staffId;
    /**
    * 员工姓名
    */
    private String staffName;
    /**
    * 工号
    */
    private String workNum;
    /**
    * 窗口编号
    */
    private String windowNum;
    /**
    * 所属部门
    */
    private Long deptId;
    /**
    * 所属部门名称
    */
    private String deptName;
    /**
    * 评价结果(1.非常不满意,2.差评)
    */
    private Integer reviewResult;
    /**
    * 评价时间
    */
    private Date reviewTime;
    /**
    * 评价来源(窗口评价系统,导视系统,自助服务系统,微官网,其它)
    */
    private String reviewSource;
    /**
    * 评价设备
    */
    private String reviewDevice;
    /**
    * 绩效规则id
    */
    private Long ruleId;
    /**
    * 规则名称
    */
    private String ruleName;
    /**
    * 扣分方式(1.系统自动,2.人工添加)
    */
    private Integer subMethod;
    /**
    * 扣分人员
    */
    private String deductPerson;
    /**
    * 扣分时间
    */
    private Date deductTime;
    /**
    * 扣分或增加分值
    */
    private BigDecimal score;
    /**
    * 核查人员
    */
    private String checkPerson;
    /**
    * 核查时间
    */
    private Date checkTime;
    /**
    * 核查说明
    */
    private String checkDesc;
    /**
    * 核查结果
    */
    private String checkResult;
    /**
    * 处理状态(1.未处理,2.已处理)
    */
    private Integer checkStatus;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CheckReviewRecordEntity) {
            CheckReviewRecordEntity tmp = (CheckReviewRecordEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.recordId = -1L;

            this.staffId = -1L;

            this.staffName = "";

            this.workNum = "";

            this.windowNum = "";

            this.deptId = -1L;

            this.deptName = "";

            this.reviewResult = -1;

            this.reviewTime = null;

            this.reviewSource = "";

            this.reviewDevice = "";

            this.ruleId = -1L;

            this.ruleName = "";

            this.subMethod = 1;

            this.deductPerson = "";

            this.deductTime = null;

            this.score = BigDecimal.valueOf(0.00);

            this.checkPerson = "";

            this.checkTime = null;

            this.checkDesc = "";

            this.checkResult = "";

            this.checkStatus = 1;

            this.remark = "";
    }
}