package com.mortals.xhx.module.perform.model;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.perform.model.vo.PerformAttendRecordVo;
import lombok.Data;
/**
* 考勤绩效记录信息实体对象
*
* @author zxfei
* @date 2023-05-18
*/
@Data
public class PerformAttendRecordEntity extends PerformAttendRecordVo {
    private static final long serialVersionUID = 1L;

    /**
    * 员工ID
    */
    private Long staffId;
    /**
    * 员工姓名
    */
    private String staffName;
    /**
    * 工号
    */
    private String workNum;
    /**
    * 所属部门
    */
    private Long deptId;
    /**
    * 所属部门名称
    */
    private String deptName;
    /**
    * 所属考勤组ID
    */
    private Long attendanceGroupId;
    /**
    * 所属考勤组名称
    */
    private String attendanceGroupName;
    /**
    * 考勤时间
    */
    private Date attendanceDate;
    /**
    * 绩效规则id
    */
    private Long ruleId;
    /**
    * 规则名称
    */
    private String ruleNme;
    /**
    * 异常时间
    */
    private Date errorTime;
    /**
    * 上下班时间
    */
    private String goOffTimeStr;
    /**
    * 实际打卡时间
    */
    private Date actualAttendTime;
    /**
    * 异常处理结果
    */
    private String errorResult;
    /**
    * 扣分方式(1.系统自动,2.人工添加)
    */
    private Integer subMethod;
    /**
    * 扣分人员
    */
    private String deductPerson;
    /**
    * 扣分时间
    */
    private Date deductTime;
    /**
    * 增减类型(1.增加,2.扣除)
    */
    private Integer subAddType;
    /**
    * 扣分或增加分值
    */
    private BigDecimal score;
    /**
    * 处理状态(1.未核查,2.已核查)
    */
    private Integer processStatus;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PerformAttendRecordEntity) {
            PerformAttendRecordEntity tmp = (PerformAttendRecordEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.staffId = -1L;

            this.staffName = "";

            this.workNum = "";

            this.deptId = -1L;

            this.deptName = "";

            this.attendanceGroupId = -1L;

            this.attendanceGroupName = "";

            this.attendanceDate = null;

            this.ruleId = -1L;

            this.ruleNme = "";

            this.errorTime = null;

            this.goOffTimeStr = "";

            this.actualAttendTime = null;

            this.errorResult = "";

            this.subMethod = 1;

            this.deductPerson = "";

            this.deductTime = null;

            this.subAddType = 1;

            this.score = BigDecimal.valueOf(0.00);

            this.processStatus = 1;

            this.remark = "";
    }
}