package com.mortals.xhx.module.perform.model.vo;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.perform.model.PerformEffectRecordEntity;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import lombok.Data;
/**
* 效能绩效记录信息视图对象
*
* @author zxfei
* @date 2023-05-18
*/
@Data
public class PerformEffectRecordVo extends BaseEntityLong {

        /**
        * 员工姓名
        */
        @Excel(name = "员工姓名")
        private String staffName;
        /**
        * 工号
        */
        @Excel(name = "工号")
        private String workNum;
        /**
        * 窗口编号
        */
        @Excel(name = "窗口编号")
        private String windowNum;
        /**
        * 所属部门名称
        */
        @Excel(name = "所属部门名称")
        private String deptName;
        /**
        * 违规类型(1.脱岗,2.离岗,3.玩手机,4.睡觉)
        */
        @Excel(name = "违规类型", readConverterExp = "1=脱岗,2.离岗,3.玩手机,4.睡觉")
        private Integer irregularType;
        /**
        * 发生时间
        */
        @Excel(name = "发生时间", width = 30, dateFormat = "yyyy-MM-dd")
        private Date happenTime;
        /**
        * 扣分人员
        */
        @Excel(name = "扣分人员")
        private String deductPerson;
        /**
        * 处理状态(1.未核查,2.已核查)
        */
        @Excel(name = "处理状态", readConverterExp = "1=未核查,2.已核查")
        private Integer processStatus;


}