package com.mortals.xhx.module.perform.model.vo;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.perform.model.PerformGoworkRecordEntity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import lombok.Data;
/**
* 办件绩效记录信息视图对象
*
* @author zxfei
* @date 2023-05-18
*/
@Data
public class PerformGoworkRecordVo extends BaseEntityLong {

        /**
        * 员工姓名
        */
        @Excel(name = "员工姓名")
        private String staffName;
        /**
        * 窗口编号
        */
        @Excel(name = "窗口编号")
        private String windowNum;
        /**
        * 所属部门名称
        */
        @Excel(name = "所属部门名称")
        private String deptName;
        /**
        * 办件编码
        */
        @Excel(name = "办件编码")
        private String goworkCode;
        /**
        * 办件所属部门
        */
        @Excel(name = "办件所属部门")
        private String goworkDepts;
        /**
        * 事项名称
        */
        @Excel(name = "事项名称")
        private String matterlName;
        /**
        * 办理时间
        */
        @Excel(name = "办理时间", width = 30, dateFormat = "yyyy-MM-dd")
        private Date goworkTime;
        /**
        * 规则名称
        */
        @Excel(name = "规则名称")
        private String ruleName;
        /**
        * 扣分人员
        */
        @Excel(name = "扣分人员")
        private String deductPerson;
        /**
        * 扣分或增加分值
        */
        @Excel(name = "扣分或增加分值")
        private BigDecimal score;
        /**
        * 处理状态(1.未核查,2.已核查)
        */
        @Excel(name = "处理状态", readConverterExp = "1=未核查,2.已核查")
        private Integer processStatus;


}