package com.mortals.xhx.module.staff.model;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.staff.model.vo.StaffVo;
import lombok.Data;
/**
 * 员工基本信息实体对象
 *
 * @author zxfei
 * @date 2023-05-16
 */
@Data
public class StaffEntity extends StaffVo {
    private static final long serialVersionUID = 1L;

    /**
     * 员工姓名
     */
    private String name;
    /**
     * 性别(1.男,2.女)
     */
    private Integer gender;
    /**
     * 出生日期
     */
    private Date birthday;
    /**
     * 照片
     */
    private String photoPath;
    /**
     * 联系电话
     */
    private String phoneNumber;
    /**
     * 身份证号码
     */
    private String idCard;
    /**
     * 工号
     */
    private String workNum;
    /**
     * 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
     */
    private Integer politicalstatus;
    /**
     * 所属部门
     */
    private Long deptId;
    /**
     * 所属部门名称
     */
    private String deptName;
    /**
     * 职位ID
     */
    private Long positionId;
    /**
     * 职位名称
     */
    private String positionName;
    /**
     * 员工类型（1.全职,2.兼职,3.实习)
     */
    private Integer staffType;
    /**
     * 员工状态(1.正式,2.试用,3.离职)
     */
    private Integer status;
    /**
     * 员工来源(1.外部,2.内部)
     */
    private Integer source;
    /**
     * 入职登记表
     */
    private String registerPath;
    /**
     * 入职时间
     */
    private Date entryDate;
    /**
     * 转正时间
     */
    private Date regularDate;
    /**
     * 离职时间
     */
    private Date leaveDate;
    /**
     * 备注
     */
    private String remark;
    /**
     * 备注
     */
    private String remarkId;
    /**
     * 相对图片pic
     */
    private String picUri;
    /**
     * 图片资源唯一标识
     */
    private String serverIndexCode;
    /**
     * 绩效分数
     */
    private BigDecimal score;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof StaffEntity) {
            StaffEntity tmp = (StaffEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.name = "";

        this.gender = 1;

        this.birthday = null;

        this.photoPath = "";

        this.phoneNumber = "";

        this.idCard = "";

        this.workNum = "";

        this.politicalstatus = 1;

        this.deptId = -1L;

        this.deptName = "";

        this.positionId = -1L;

        this.positionName = "";

        this.staffType = 1;

        this.status = 1;

        this.source = 1;

        this.registerPath = "";

        this.entryDate = null;

        this.regularDate = null;

        this.leaveDate = null;

        this.remark = "";

        this.remarkId = "";

        this.picUri = "";

        this.serverIndexCode = "";

        this.score = new BigDecimal(0);
    }
}